%define upstream_name GitPython

Name: 		python-gitpython
Version: 	1.0.2
Release: 	%mkrel 1
Summary: 	Python Git library
License:	BSD
Group: 		Development/Python
Url: 		http://pypi.python.org/pypi/GitPython/
Source0: 	https://pypi.io/packages/source/G/GitPython/GitPython-%{version}.tar.gz
Requires:       git-core
Requires:       python-gitdb
BuildRequires:  python-setuptools
BuildRequires:  python-devel 
BuildRequires:  python3-setuptools
BuildRequires:  python3-devel 
BuildArch:      noarch

%description
GitPython is a python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once you have
created a repository object, you can traverse it to find parent commit(s),
trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom Preston-Werner
and Chris Wanstrath


%package -n python3-gitpython
Group:          Development/Python
Summary:        Python3 Git Library
Requires:       git-core
Requires:       python3-gitdb

%description -n python3-gitpython
GitPython is a python library used to interact with Git repositories.

GitPython provides object model access to your git repository. Once you have
created a repository object, you can traverse it to find parent commit(s),
trees, blobs, etc.

GitPython is a port of the grit library in Ruby created by Tom Preston-Werner
and Chris Wanstrath


%prep
%setup -qc
mv %{upstream_name}-%{version} python2

cp -a python2 python3
find python3 -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'

find python2 -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python2}|'

pushd python2
cp AUTHORS CHANGES LICENSE ../
popd


%build
pushd python2
%py2_build
popd

pushd python3
%py3_build
popd


%install
pushd python3
%py3_install
popd

pushd python2
%py2_install
popd


%files
%license LICENSE
%doc CHANGES AUTHORS
%{python2_sitelib}/git
%{python2_sitelib}/GitPython-%{version}-py%{pyver}.egg-info


%files -n python3-gitpython
%license LICENSE
%doc CHANGES AUTHORS
%{python3_sitelib}/GitPython-%{version}-py?.?.egg-info
%{python3_sitelib}/git/



%changelog
* Wed May 25 2016 philippem <philippem> 1.0.2-1.mga6
+ Revision: 1018446
- update to 1.0.2 (bugfix release, and hope it will remove old 0.3.1-10.mga6 from repos)

* Thu May 12 2016 philippem <philippem> 1.0.1-1.mga6
+ Revision: 1014389
- update to 1.0.1, add Python 3

* Sat Feb 06 2016 umeabot <umeabot> 0.3.1-10.mga6
+ Revision: 940437
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-9.mga5
+ Revision: 750493
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.3.1-8.mga5
+ Revision: 728559
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-7.mga5
+ Revision: 688053
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.3.1-5.mga4
+ Revision: 543588
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.3.1-4.mga4
+ Revision: 498689
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 0.3.1-3.mga3
+ Revision: 378907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 19 2011 guillomovitch <guillomovitch> 0.3.1-2.mga2
+ Revision: 126539
- imported package python-gitpython

